/**
 * @license
 * Copyright Jonathan Phillips (https://github.com/jphillips03) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://github.com/ngx-material-dashboard/ngx-material-dashboard/license
 */
import { AlertInterface } from '../interfaces/alert.interface';
import { AlertType } from '../enums/alert-type.enum';
/**
 * The `Alert` class defines properties useful for tracking and rendering alert
 * messages.
 */
export declare class Alert implements AlertInterface {
    id: string;
    type: AlertType;
    message: string;
    autoClose: boolean;
    keepAfterRouteChange?: boolean;
    fade: boolean;
    constructor(init?: Partial<Alert>);
}
