/**
 * @license
 * Copyright Jonathan Phillips (https://github.com/jphillips03) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://github.com/ngx-material-dashboard/ngx-material-dashboard/license
 */
import { Overlay } from '@angular/cdk/overlay';
import { OnDestroy, OnInit } from '@angular/core';
import { AlertService } from '../../services/alert.service';
import * as i0 from "@angular/core";
/**
 * `Alert` handles rendering and managing the OverlayRef needed to render
 * alerts on screen (on top of main content).
 */
export declare class AlertComponent implements OnDestroy, OnInit {
    private alertService;
    private overlay;
    private overlayRef?;
    private sub;
    constructor(alertService: AlertService, overlay: Overlay);
    ngOnDestroy(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AlertComponent, "ngx-mat-alert", never, {}, {}, never, never>;
}
