/**
 * @license
 * Copyright Jonathan Phillips (https://github.com/jphillips03) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://github.com/ngx-material-dashboard/ngx-material-dashboard/license
 */
import { BreakpointObserver } from '@angular/cdk/layout';
import { OnDestroy } from '@angular/core';
import { Observable } from 'rxjs';
import { ScreenSize } from '../../layout/enums/screen-size.enum';
import * as i0 from "@angular/core";
export declare class ScreenSizeService implements OnDestroy {
    private breakpointObserver;
    /** Observable for the screen size. */
    readonly screenSize: Observable<ScreenSize>;
    /** The source for the screen size. */
    private screenSizeSource;
    /** The subscriptions for the service. */
    private sub;
    constructor(breakpointObserver: BreakpointObserver);
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScreenSizeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ScreenSizeService>;
}
