/**
 * @license
 * Copyright Jonathan Phillips (https://github.com/jphillips03) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at
 * https://github.com/ngx-material-dashboard/ngx-material-dashboard/license
 */
import { EventEmitter, OnInit } from '@angular/core';
import { Subscription } from 'rxjs';
import { ButtonClick } from '../../interfaces/button-click.interface';
import { ToolbarButton } from '../../interfaces/toolbar-button.interface';
import * as i0 from "@angular/core";
export declare class IconButtonsComponent implements OnInit {
    /** The management buttons to display in the toolbar. */
    buttons: ToolbarButton[];
    /** Event emitted when user clicks button in toolbar. */
    buttonClick: EventEmitter<ButtonClick>;
    /** The subscriptions for the component. */
    sub: Subscription;
    constructor();
    /**
     * Destroys any subscriptions for the component.
     */
    ngOnDestroy(): void;
    /**
     * Initialize the main subscriptions object for the component.
     */
    ngOnInit(): void;
    /**
     * Emits a buttonClick event to the parent.
     *
     * @param buttonClick The action from the button that was clicked by the user.
     */
    emitButtonClick(buttonClick: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconButtonsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconButtonsComponent, "ngx-mat-icon-buttons", never, { "buttons": "buttons"; }, { "buttonClick": "buttonClick"; }, never, never>;
}
